/*
 * main.h
 *
 * Created: 23.09.2019 
 * 
 *
 *
 *
 * Es wird mit einem Atmel ATMega88 und einem SI 7510 ein Oriental DS514-2 ersetzt
 *
 */

#define EAL          SREG_Bit7

#define ECO_IN       PIND_Bit0
#define A_W_OFF_IN   PINC_Bit5 
#define CW_IN        PIND_Bit3
#define CCW_IN       PIND_Bit2
#define F_H_IN       PIND_Bit1
#define RESET_IN     PINC_Bit6

#define OUT_0    PORTC_Bit0
#define OUT_1    PORTC_Bit1
#define OUT_2    PORTC_Bit2
#define OUT_3    PORTC_Bit3
#define OUT_4    PORTC_Bit4

#define OUT_5    PORTB_Bit0
#define OUT_NULL PORTB_Bit1

#define OUT_LOW_C    PORTB_Bit2
#define OUT_LOW_D    PORTB_Bit3
#define OUT_LOW_E    PORTB_Bit4

#define RUN_OUT      PORTD_Bit4
#define RUN_DDR      DDRD_Bit4
#define RUN_OUT_2    PORTD_Bit5
#define RUN_DDR_2    DDRD_Bit5

#define Out_High     GPIOR0
#define Out_Low      GPIOR1
#define CW           GPIOR2
#define CCW          SPDR
// UDR0

unsigned char
  Value_TCCR1B, Timer1_OVF, Counter_Int;
  
unsigned int
  Value_Timer1, Drehzahl, Min_Timer1, Max_Timer1, Counter_Timer1; 